Test Webhook
curl --request POST \
--url https://b2b-api.dev-riseworks.io/v2/webhooks/test/{webhook_nanoid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"version": 2
}'import requests
url = "https://b2b-api.dev-riseworks.io/v2/webhooks/test/{webhook_nanoid}"
payload = { "version": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 2})
};
fetch('https://b2b-api.dev-riseworks.io/v2/webhooks/test/{webhook_nanoid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"delivery_nanoid": "<string>",
"message": "<string>",
"test_payload": {},
"version": 123
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Webhooks
Test Webhook
POST
/
v2
/
webhooks
/
test
/
{webhook_nanoid}
Test Webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the Webhook Endpoint.
Required string length:
15Pattern:
^wh-.*Body
application/json
Available options:
withdraw_account.duplicated_detected, invite.accepted, payment.sent, deposit.received, payment.group.created, invite.expired, invite.rejected, onboarding.step_updated.basic_data, onboarding.step_updated.kyc.accepted, onboarding.step_updated.kyc.rejected, onboarding.step_updated.kyc.pending, onboarding.step_updated.rsk, onboarding.step_updated.documents, onboarding.completed, team.member_blocked, team.member_added, team.member_removed, document.signed, document.expired, document.closed, payment.subscription.created, payment.subscription.paid, payment.chargeback.created, payment.chargeback.paid, payment.cash_requirement.created, payment.cash_requirement.due, payment.canceled, payment.failed, invoice.created, invoice.canceled, token.transfer, deposit.crypto, deposit.crosschain, deposit.bitcoin, deposit.fiat, swap.token, action_item.created, action_item.completed, action_item.finished Webhook payload major version (defaults to 2)
Required range:
1 <= x <= 10